commit:     23e68aec99ae9f598af3e26541ac6e6028d08126
Author:     Brian Dolbec <dolsen <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 20 14:29:50 2021 +0000
Commit:     Brian Dolbec <dolsen <AT> gentoo <DOT> org>
CommitDate: Sun Jun 20 16:04:30 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=23e68aec

dev-util/buildbot: Version bump to 3.2.0

Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Brian Dolbec <dolsen <AT> gentoo.org>

 dev-util/buildbot/Manifest              |   1 +
 dev-util/buildbot/buildbot-3.2.0.ebuild | 200 ++++++++++++++++++++++++++++++++
 2 files changed, 201 insertions(+)

diff --git a/dev-util/buildbot/Manifest b/dev-util/buildbot/Manifest
index bbf138ace1b..a0dd081dff8 100644
--- a/dev-util/buildbot/Manifest
+++ b/dev-util/buildbot/Manifest
@@ -6,3 +6,4 @@ DIST buildbot-2.8.4.tar.gz 3134447 BLAKE2B 
67052a060c9951e584a5e94f36b92262b9a19
 DIST buildbot-3.0.2.tar.gz 2221373 BLAKE2B 
7f7e08375f0eb6eb0187dc734f0eefda5bc24c9bdce543cc6d094d67a211e909bff93d3a956b57cb14e800c52b7f05a2f823173becac37bd0a52790dfe158e1a
 SHA512 
137ac6fdb7e1b67542c0a5b1d5c4736ebf9b6b7ffd5a2c18795eeec3a132abcad972252baabbf585efc3ed4bb14e61d8552c4d21ceff9c71823cca42613c6f5b
 DIST buildbot-3.1.0.tar.gz 2229027 BLAKE2B 
27eaed470f18c4fe8cae1730ca92918352518263a5cc7c3affea070dc3c9890e88db81e2f0d70b1071da89a4df7fd34091ac9dd08b8d6933e568365859640c4e
 SHA512 
2eb08af4c59b5268fb9d5dd3e5c6c4889542c39b7034aee7bb6151d4e24ce99a9c0a83ec303ca4110a55e8f7daa562ddc0debee83499984a3d9fa0fad965740c
 DIST buildbot-3.1.1.tar.gz 2229124 BLAKE2B 
c384b897a5f8816b7d6a52070cb1cce7e9b70d41a5837990af3474d3063a4906600f82c1bc6e6c48d826ac1f95dc36dcc15ebca10c9249615d25f547e0216dad
 SHA512 
4f4194fab83bb80cff15366fb6461624b75c5a2d0e473ac9cb6a8abb372ccd7ee9208a944f198d874e8cd1a87358239ba3e8314d54ef35a641ff83510c48de37
+DIST buildbot-3.2.0.tar.gz 2245261 BLAKE2B 
ccb1dc5e6a6bf5c9e06a7b05cc1baa605b09cf65ad4f9beff2a40e9f52a3065363960a990c288ed181cc5cc5cf5af1ce06dd4df561ddfe9819165ebe32760887
 SHA512 
5730126786880eb48da140cbbaaac2df95e6d04d22268fb305c1a228969bd096cd18959779f6101af73c41fecb07a7c1e2bb276271bede53989323a46fb06962

diff --git a/dev-util/buildbot/buildbot-3.2.0.ebuild 
b/dev-util/buildbot/buildbot-3.2.0.ebuild
new file mode 100644
index 00000000000..dfef6793050
--- /dev/null
+++ b/dev-util/buildbot/buildbot-3.2.0.ebuild
@@ -0,0 +1,200 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+PYTHON_REQ_USE="sqlite"
+PYTHON_COMPAT=( python3_{7,8,9} )
+
+DISTUTILS_USE_SETUPTOOLS="rdepend"
+
+inherit readme.gentoo-r1 systemd distutils-r1
+
+MY_PV="${PV/_p/.post}"
+MY_P="${PN}-${MY_PV}"
+
+DESCRIPTION="BuildBot build automation system"
+HOMEPAGE="https://buildbot.net/ https://github.com/buildbot/buildbot 
https://pypi.org/project/buildbot/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.tar.gz
+"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~amd64-linux ~x86-linux"
+
+IUSE="crypt doc docker examples irc test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       acct-user/buildbot
+       >=dev-python/jinja-2.1[${PYTHON_USEDEP}]
+       >=dev-python/twisted-17.9.0[${PYTHON_USEDEP},crypt?]
+       >=dev-python/autobahn-0.16.0[${PYTHON_USEDEP}]
+       >=dev-python/sqlalchemy-1.2.0[${PYTHON_USEDEP}]
+       <dev-python/sqlalchemy-1.4.0[${PYTHON_USEDEP}]
+       >=dev-python/sqlalchemy-migrate-0.13[${PYTHON_USEDEP}]
+       >=dev-python/python-dateutil-1.5[${PYTHON_USEDEP}]
+       >=dev-python/txaio-2.2.2[${PYTHON_USEDEP}]
+       dev-python/pyjwt[${PYTHON_USEDEP}]
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+       dev-python/unidiff[${PYTHON_USEDEP}]
+       >=dev-python/zope-interface-4.1.1[${PYTHON_USEDEP}]
+       ~dev-util/buildbot-worker-${PV}[${PYTHON_USEDEP}]
+       crypt? (
+               >=dev-python/pyopenssl-16.0.0[${PYTHON_USEDEP}]
+               dev-python/idna[${PYTHON_USEDEP}]
+               dev-python/service_identity[${PYTHON_USEDEP}]
+       )
+       irc? (
+               dev-python/txrequests[${PYTHON_USEDEP}]
+       )
+       docker? (
+               >=dev-python/docker-py-2.2.0[${PYTHON_USEDEP}]
+               dev-python/requests[${PYTHON_USEDEP}]
+       )
+"
+DEPEND="${RDEPEND}
+       doc? (
+               >=dev-python/sphinx-3.2.0[${PYTHON_USEDEP}]
+               dev-python/sphinxcontrib-blockdiag[${PYTHON_USEDEP}]
+               dev-python/sphinxcontrib-spelling[${PYTHON_USEDEP}]
+               dev-python/sphinxcontrib-websupport[${PYTHON_USEDEP}]
+               dev-python/pyenchant[${PYTHON_USEDEP}]
+               dev-python/docutils[${PYTHON_USEDEP}]
+               dev-python/sphinx-jinja[${PYTHON_USEDEP}]
+               dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]
+       )
+       test? (
+               dev-python/ldap3[${PYTHON_USEDEP}]
+               >=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
+               dev-python/moto[${PYTHON_USEDEP}]
+               >=dev-python/boto3-1.12.48[${PYTHON_USEDEP}]
+               dev-python/parameterized[${PYTHON_USEDEP}]
+               dev-python/pypugjs[${PYTHON_USEDEP}]
+               dev-python/txrequests[${PYTHON_USEDEP}]
+               dev-python/lz4[${PYTHON_USEDEP}]
+               dev-python/treq[${PYTHON_USEDEP}]
+               dev-python/setuptools_trial[${PYTHON_USEDEP}]
+               ~dev-util/buildbot-pkg-${PV}[${PYTHON_USEDEP}]
+               ~dev-util/buildbot-worker-${PV}[${PYTHON_USEDEP}]
+               ~dev-util/buildbot-www-${PV}[${PYTHON_USEDEP}]
+       )"
+
+S=${WORKDIR}/${MY_P}
+
+distutils_enable_tests setup.py
+
+pkg_setup() {
+       DOC_CONTENTS="The \"buildbot\" user and the \"buildmaster\" init script 
has been added
+               to support starting buildbot through Gentoo's init system. To 
use this,
+               execute \"emerge --config =${CATEGORY}/${PF}\" to create a new 
instance.
+               The scripts can run as a different user if desired."
+}
+
+src_compile() {
+       distutils-r1_src_compile
+
+       # missing files, so skip building
+       if use doc; then
+               einfo "Generation of documentation"
+               pushd docs > /dev/null || die
+               #'man' target is currently broken
+               emake html
+               popd > /dev/null || die
+       fi
+}
+
+src_install() {
+       distutils-r1_src_install
+
+       doman docs/buildbot.1
+
+       if use doc; then
+               HTML_DOCS=( docs/_build/html/ )
+       fi
+
+       if use examples; then
+               insinto /usr/share/doc/${PF}
+               doins -r docs/examples
+       fi
+
+       newconfd "${FILESDIR}/buildmaster.confd" buildmaster
+       newinitd "${FILESDIR}/buildmaster.initd" buildmaster
+       systemd_dounit "${FILESDIR}/buildmaster.target"
+       systemd_newunit "${FILESDIR}/buildmaster_at.service" 
"buildmaster@.service"
+       systemd_install_serviced "${FILESDIR}/buildmaster_at.service.conf" 
"buildmaster@.service"
+
+       readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+       readme.gentoo_print_elog
+
+       if [[ -n ${REPLACING_VERSIONS} ]]; then
+               ewarn
+               ewarn "Starting with buildbot-0.8.12-r2, more than one instance 
of buildmaster"
+               ewarn "can be run simultaneously. Note that \"BASEDIR\" in the 
buildbot configuration file"
+               ewarn "is now the common base directory for all instances. If 
you are migrating from an older"
+               ewarn "version, make sure that you copy the current contents of 
\"BASEDIR\" to a subdirectory."
+               ewarn "The name of the subdirectory corresponds to the name of 
the buildmaster instance."
+               ewarn "In order to start the service running OpenRC-based 
systems need to link to the init file:"
+               ewarn "    ln --symbolic --relative /etc/init.d/buildmaster 
/etc/init.d/buildmaster.myinstance"
+               ewarn "    rc-update add buildmaster.myinstance default"
+               ewarn "    /etc/init.d/buildmaster.myinstance start"
+               ewarn "Systems using systemd can do the following:"
+               ewarn "    systemctl enable buildmaster@myinstance.service"
+               ewarn "    systemctl enable buildmaster.target"
+               ewarn "    systemctl start buildmaster.target"
+               elog
+               elog "Upstream recommends the following when upgrading:"
+               elog "Each time you install a new version of Buildbot, you 
should run the"
+               elog "\"buildbot upgrade-master\" command on each of your 
pre-existing build masters."
+               elog "This will add files and fix (or at least detect) 
incompatibilities between"
+               elog "your old config and the new code."
+       fi
+       elog
+       elog "In order to create a new instance of buildmaster, execute:"
+       elog "    emerge --config =${CATEGORY}/${PF}"
+}
+
+pkg_config() {
+       local buildmaster_path="/var/lib/buildmaster"
+       local log_path="/var/log/buildmaster"
+
+       einfo "This will prepare a new buildmaster instance in 
${buildmaster_path}."
+       einfo "Press Control-C to abort."
+
+       einfo "Enter the name for the new instance: "
+       read instance_name
+       [[ -z "${instance_name}" ]] && die "Invalid instance name"
+
+       local instance_path="${buildmaster_path}/${instance_name}"
+       local instance_log_path="${log_path}/${instance_name}"
+
+       if [[ -e "${instance_path}" ]]; then
+               eerror "The instance with the specified name already exists:"
+               eerror "${instance_path}"
+               die "Instance already exists"
+       fi
+
+       local buildbot="/usr/bin/buildbot"
+       if [[ ! -d "${buildmaster_path}" ]]; then
+               mkdir --parents "${buildmaster_path}" || die "Unable to create 
directory ${buildmaster_path}"
+       fi
+       "${buildbot}" create-master "${instance_path}" &>/dev/null || die 
"Creating instance failed"
+       chown --recursive buildbot:buildbot "${instance_path}" || die "Setting 
permissions for instance failed"
+       mv "${instance_path}/master.cfg.sample" "${instance_path}/master.cfg" \
+               || die "Moving sample configuration failed"
+       ln --symbolic --relative "/etc/init.d/buildmaster" 
"/etc/init.d/buildmaster.${instance_name}" \
+               || die "Unable to create link to init file"
+
+       if [[ ! -d "${instance_log_path}" ]]; then
+               mkdir --parents "${instance_log_path}" || die "Unable to create 
directory ${instance_log_path}"
+               chown --recursive buildbot:buildbot "${instance_log_path}" \
+                       || die "Setting permissions for instance failed"
+       fi
+       ln --symbolic --relative "${instance_log_path}/twistd.log" 
"${instance_path}/twistd.log" \
+               || die "Unable to create link to log file"
+
+       einfo "Successfully created a buildmaster instance at ${instance_path}."
+       einfo "To change the default settings edit the master.cfg file in this 
directory."
+}

Reply via email to